package com.duben.infinitefunjia.manager

import android.app.Application
import com.duben.infinitefunjia.BuildConfig
import com.duben.infinitefunjia.utils.MateUtils
import com.tendcloud.tenddata.TCAgent

/**
 * TalkingData
 */
object TalkingDataManager {

    private const val APP_KEY =BuildConfig.RELEASE_TALKING_DATA_KEY


    fun init(application:Application) {
        try {
            //打开日志
            TCAgent.LOG_ON = BuildConfig.LOG_DEBUG
            //初始化-APPID-渠道ID
            /**
             * 动态获取渠道ID（类似友盟）
             * AppID说是xml文件里的密钥？
             */
            TCAgent.init(application, APP_KEY
                    , MateUtils.getAppMetaData(application, "CHANNEL_NAME"))
            /**
             * true-开启自动捕获错误
             */
            TCAgent.setReportUncaughtExceptions(true)
        } catch (e: Exception) {
            e.printStackTrace()
        }
    }

}