package com.duben.infinitefunjia.manager;


import com.duben.infinitefunjia.MintsApplication;
import com.duben.infinitefunjia.mvp.presenters.TrackPresenter;

/**
 * 描述：离线管理器
 */
public class TrackManager {

    private static volatile TrackManager _inst;

    private TrackPresenter trackPresenter = null;

    public static TrackManager getInstance() {
        if (_inst == null) {
            synchronized (TrackManager.class) {
                if (_inst == null) {
                    _inst = new TrackManager();
                }
            }
        }
        return _inst;
    }

    private TrackManager() {
        init();
    }

    private void init() {
        trackPresenter = new TrackPresenter();
        trackPresenter.attachView((MintsApplication) MintsApplication.getContext());
    }

    public void visitorlogin() {
        if (trackPresenter != null) {
            trackPresenter.visitorlogin();
        }
    }
}
