package com.duben.infinitefunjia.mvp.model;

import java.io.Serializable;
import java.util.List;

public class BookBean implements Serializable {
    private String id;
    private String username;
    private String userAvatar;
    private String title;
    private String author;
    private String avatar;
    private String summary;
    private int isStick;
    private int isOriginal;
    private int isPublish;
    private int quantity;
    private int commentCount;
    private int likeCount;
    private int collectCount;
    private boolean isCollect;
    private String commentContent;
    private String categoryName;
    private String categoryId;
    private String createTime;
    private Object lastReadTime;
    private Object formatCreateTime;
    private String shortis;
    private int commonNum;
    private String viewPermissions;
    private String carouselUrl;
    private boolean checked;// 选中

    public boolean isChecked() {
        return checked;
    }

    public void setChecked(boolean checked) {
        this.checked = checked;
    }

    private List<BookBean.TagListDTO> tagList;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username;
    }

    public String getUserAvatar() {
        return userAvatar;
    }

    public void setUserAvatar(String userAvatar) {
        this.userAvatar = userAvatar;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getAuthor() {
        return author;
    }

    public void setAuthor(String author) {
        this.author = author;
    }

    public String getAvatar() {
        return avatar;
    }

    public void setAvatar(String avatar) {
        this.avatar = avatar;
    }

    public String getSummary() {
        return summary;
    }

    public void setSummary(String summary) {
        this.summary = summary;
    }

    public int getIsStick() {
        return isStick;
    }

    public void setIsStick(int isStick) {
        this.isStick = isStick;
    }

    public int getIsOriginal() {
        return isOriginal;
    }

    public void setIsOriginal(int isOriginal) {
        this.isOriginal = isOriginal;
    }

    public int getIsPublish() {
        return isPublish;
    }

    public void setIsPublish(int isPublish) {
        this.isPublish = isPublish;
    }

    public int getQuantity() {
        return quantity;
    }

    public void setQuantity(int quantity) {
        this.quantity = quantity;
    }

    public int getCommentCount() {
        return commentCount;
    }

    public void setCommentCount(int commentCount) {
        this.commentCount = commentCount;
    }

    public int getLikeCount() {
        return likeCount;
    }

    public void setLikeCount(int likeCount) {
        this.likeCount = likeCount;
    }

    public int getCollectCount() {
        return collectCount;
    }

    public void setCollectCount(int collectCount) {
        this.collectCount = collectCount;
    }

    public boolean getIsCollect() {
        return isCollect;
    }

    public void setIsCollect(boolean isCollect) {
        this.isCollect = isCollect;
    }

    public Object getCommentContent() {
        return commentContent;
    }

    public void setCommentContent(String commentContent) {
        this.commentContent = commentContent;
    }

    public Object getCategoryName() {
        return categoryName;
    }

    public void setCategoryName(String categoryName) {
        this.categoryName = categoryName;
    }

    public String getCategoryId() {
        return categoryId;
    }

    public void setCategoryId(String categoryId) {
        this.categoryId = categoryId;
    }

    public String getCreateTime() {
        return createTime;
    }

    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    public Object getLastReadTime() {
        return lastReadTime;
    }

    public void setLastReadTime(Object lastReadTime) {
        this.lastReadTime = lastReadTime;
    }

    public Object getFormatCreateTime() {
        return formatCreateTime;
    }

    public void setFormatCreateTime(Object formatCreateTime) {
        this.formatCreateTime = formatCreateTime;
    }

    public String getShortis() {
        return shortis;
    }

    public void setShortis(String shortis) {
        this.shortis = shortis;
    }

    public int getCommonNum() {
        return commonNum;
    }

    public void setCommonNum(int commonNum) {
        this.commonNum = commonNum;
    }

    public String getViewPermissions() {
        return viewPermissions;
    }

    public void setViewPermissions(String viewPermissions) {
        this.viewPermissions = viewPermissions;
    }

    public String getCarouselUrl() {
        return carouselUrl;
    }

    public void setCarouselUrl(String carouselUrl) {
        this.carouselUrl = carouselUrl;
    }

    public List<BookBean.TagListDTO> getTagList() {
        return tagList;
    }

    public void setTagList(List<BookBean.TagListDTO> tagList) {
        this.tagList = tagList;
    }

    public static class TagListDTO {
        private String id;
        private String name;
        private int clickVolume;
        private int sort;
        private String createTime;
        private String updateTime;
        private int type;

        public String getId() {
            return id;
        }

        public void setId(String id) {
            this.id = id;
        }

        public String getName() {
            return name;
        }

        public void setName(String name) {
            this.name = name;
        }

        public int getClickVolume() {
            return clickVolume;
        }

        public void setClickVolume(int clickVolume) {
            this.clickVolume = clickVolume;
        }

        public int getSort() {
            return sort;
        }

        public void setSort(int sort) {
            this.sort = sort;
        }

        public String getCreateTime() {
            return createTime;
        }

        public void setCreateTime(String createTime) {
            this.createTime = createTime;
        }

        public String getUpdateTime() {
            return updateTime;
        }

        public void setUpdateTime(String updateTime) {
            this.updateTime = updateTime;
        }

        public int getType() {
            return type;
        }

        public void setType(int type) {
            this.type = type;
        }
    }
}

