package com.duben.infinitefunjia.ui.activitys

import android.os.Bundle
import android.view.Gravity
import androidx.appcompat.app.AppCompatActivity
import com.duben.infinitefunjia.manager.KeepMintsManager

/**
 * 一像素的Activity
 */
class PixelActivity : AppCompatActivity() {

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        val window = window
        window.setGravity(Gravity.LEFT or Gravity.TOP)
        val params = window.attributes
        params.x = 0
        params.y = 0
        params.height = 1
        params.width = 1
        window.attributes = params
        KeepMintsManager.getInstance().setKeepMintsActivity(this)
    }
}
