package com.duben.infinitefunjia.ui.adapter

import android.content.Context
import android.view.View
import android.view.ViewGroup
import androidx.viewpager.widget.PagerAdapter

/**
 *  @author Assen
 *  @date 2024/3/29
 *  @desc
 */
class ResultPagerAdapter(private val context: Context, private val viewList: List<View>) :
    PagerAdapter() {

    private val titles = arrayOf("第1页", "第2页", "第3页")

    override fun getCount(): Int {
        return viewList.size
    }

    override fun isViewFromObject(view: View, `object`: Any): Boolean {
        return view === `object`
    }

    override fun instantiateItem(container: ViewGroup, position: Int): Any {
        val view = viewList[position]
        container.addView(view)
        return view
    }

    override fun destroyItem(container: ViewGroup, position: Int, `object`: Any) {
        container.removeView(viewList[position]);

    }

}