package com.duben.infinitefunjia.ui.service;

import android.app.Service;
import android.content.Intent;
import android.os.IBinder;

import com.duben.infinitefunjia.manager.KeepMintsManager;

public class KeepMintsService extends Service{

    @Override
    public void onCreate() {
        super.onCreate();
        KeepMintsManager.getInstance().registerReceiver(this);
    }

    @Override
    public int onStartCommand(Intent intent, int flags, int startId) {

        KeepMintsManager.getInstance().setServiceForeground(this);

        return START_STICKY;
    }


    @Override
    public void onDestroy() {
        super.onDestroy();
        KeepMintsManager.getInstance().unRegisterReceiver(this);
    }

    @Override
    public IBinder onBind(Intent intent) {
        return null;
    }
}
