package com.duben.infinitefunjia.manager

import android.app.Activity
import android.content.Intent
import android.os.Bundle
import com.duben.infinitefunjia.common.Constant
import com.duben.infinitefunjia.mvp.model.BookBean
import com.duben.infinitefunjia.ui.activitys.BookReadActivity
import com.duben.infinitefunjia.ui.activitys.LongBookReadActivity

/**
 *  @author Assen
 *  @date 2024/9/27
 *  @desc
 */
class BookReadManager {

    companion object {
        val instance: BookReadManager by lazy(mode = LazyThreadSafetyMode.SYNCHRONIZED) {
            BookReadManager()
        }
    }

    fun goReadPage(activity: Activity, data: BookBean) {
        val bundle = Bundle()
        bundle.putString(Constant.ROUTE_BOOK_ID, data.id)
        if (data.shortis == "0") {
            val intent = Intent(activity, BookReadActivity::class.java)
            intent.putExtras(bundle)
            activity.startActivity(intent)
        } else {
            val intent = Intent(activity, LongBookReadActivity::class.java)
            intent.putExtras(bundle)
            activity.startActivity(intent)
        }
    }

}