package com.duben.infinitefunjia.ui.adapter

import android.content.Context
import android.view.LayoutInflater
import android.view.View
import android.view.ViewGroup
import androidx.recyclerview.widget.RecyclerView
import com.duben.infinitefunjia.R
import com.duben.infinitefunjia.mvp.model.OrderRecordBean
import com.duben.infinitefunjia.ui.adapter.base.OnItemClickListener

class HistoryAdapter(context: Context, data: MutableList<OrderRecordBean.RecordsBean>) :
    RecyclerView.Adapter<RecyclerView.ViewHolder>() {

    private var mContext: Context = context
    private var mOnItemClickListener: OnItemClickListener? = null

    override fun onCreateViewHolder(parent: ViewGroup, viewType: Int): RecyclerView.ViewHolder {
        val view = LayoutInflater.from(parent.context)
            .inflate(R.layout.item_history, parent, false)
        return ViewHolder(view)
    }

    override fun onBindViewHolder(viewHolder: RecyclerView.ViewHolder, position: Int) {
        val holder = viewHolder as ViewHolder
//        val data: OrderRecordBean.RecordsBean = mOrderData[position]
//        holder.ll_recommend_root.setOnClickListener {
//            mOnItemClickListener?.onItemClick(holder.ll_recommend_root, position)
//        }
//        holder.tv_orderrecord_name.text = data.title
//        holder.tv_orderrecord_date.text = "付款时间:" + data.time
//        holder.tv_orderrecord_money.text = "￥" + data.balance
//        holder.tv_orderrecord_no.text = "订单编号:" + data.orderid
    }

    override fun getItemCount() = 30

    inner class ViewHolder(view: View) : RecyclerView.ViewHolder(view) {
//        val ll_recommend_root: LinearLayout = view.findViewById(R.id.ll_recommend_root)
//        val iv_recommend_header: CircleImageView = view.findViewById(R.id.iv_recommend_header)
//        val tv_recommend_name: TextView = view.findViewById(R.id.tv_recommend_name)
//        val tv_recommend_status: TextView = view.findViewById(R.id.tv_recommend_status)
//        val tv_recommend_vip: TextView = view.findViewById(R.id.tv_recommend_vip)
//        val tv_recommend_location: TextView = view.findViewById(R.id.tv_recommend_location)
//        val tv_recommend_age: TextView = view.findViewById(R.id.tv_recommend_age)
//        val tv_recommend_height: TextView = view.findViewById(R.id.tv_recommend_height)
//        val tv_recommend_city: TextView = view.findViewById(R.id.tv_recommend_city)
//        val tv_recommend_text: TextView = view.findViewById(R.id.tv_recommend_text)
    }

    fun setOnItemClickListener(listener: OnItemClickListener) {
        mOnItemClickListener = listener
    }

}