package com.duben.infinitefunjia.ui.adapter

import android.content.Context
import android.view.View
import android.view.ViewGroup
import androidx.viewpager.widget.PagerAdapter

class VPAdapter() : PagerAdapter() {
    private lateinit var layoutList: IntArray
    private lateinit var context: Context

    constructor(context: Context, layoutList: IntArray) : this() {
        this.context = context
        this.layoutList = layoutList
    }

    override fun getCount(): Int {
        return layoutList.size
    }

    override fun isViewFromObject(view: View, `object`: Any): Boolean {
        return view == `object`
    }

    override fun instantiateItem(container: ViewGroup, position: Int): Any {
        val view = View.inflate(context, this.layoutList[position], null)
        container.addView(view)
        return view
    }

    override fun destroyItem(container: ViewGroup, position: Int, `object`: Any) {
        container.removeView(`object` as View)
    }
}
